petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESNEWTONLS

Newton based nonlinear solver that uses a line search

### Options Database

| -snes_linesearch_type <bt> | - bt,basic. Select line search type Many br
| -snes_linesearch_order <3> | - 2, 3. Selects the order of the line search for bt Many br
| -snes_linesearch_norms <true> | - Turns on/off computation of the norms for basic linesearch Many br
| -snes_linesearch_alpha <alpha> | - Sets alpha used in determining if reduction in function norm is sufficient Many br
| -snes_linesearch_maxstep <maxstep> | - Sets the maximum stepsize the line search will use (if the 2-norm(y) > maxstep then scale y to be y = (maxstep/2-norm(y)) *y) Many br
| -snes_linesearch_minlambda <minlambda> | - Sets the minimum lambda the line search will tolerate Many br
| -snes_linesearch_monitor | - print information about progress of line searches Many br
| -snes_linesearch_damping | - damping factor used for basic line search Many br

Notes: This is the default nonlinear solver in SNES Many br

Many br

### See Also

SNESCreate(), SNES, SNESSetType(), SNESNEWTONTR, SNESQN, SNESLineSearchSetType(), SNESLineSearchSetOrder()
SNESLineSearchSetPostCheck(), SNESLineSearchSetPreCheck() SNESLineSearchSetComputeNorms() Many br

Level:beginner
Location:src/snes/impls/ls/ls.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages